Gerrit Renker
26ced1e4aa
inet6: Set default traffic class
...
This patch addresses:
* assigning -1 to np->tclass as it is currently done is not very meaningful,
since it turns into 0xff;
* RFC 3542, 6.5 allows -1 for clearing the sticky IPV6_TCLASS option
and specifies -1 to mean "use kernel default":
- RFC 2460, 7. requires that the default traffic class must be zero for
all 8 bits,
- this is consistent with RFC 2474, 4.1 which recommends a default PHB of 0,
in combination with a value of the ECN field of "non-ECT" (RFC 3168, 5.).
This patch changes the meaning of -1 from assigning 255 to mean the RFC 2460
default, which at the same time allows to satisfy clearing the sticky TCLASS
option as per RFC 3542, 6.5.
(When passing -1 as ancillary data, the fallback remains np->tclass, which
has either been set via socket options, or contains the default value.)
Signed-off-by: Gerrit Renker <[email protected] >
Signed-off-by: David S. Miller <[email protected] >
2009-08-13 16:43:32 -07:00
..
9p
9p: Possible regression in p9_client_stat
2009-07-14 15:54:41 -05:00
802
8021q
net: mark read-only arrays as const
2009-08-05 10:42:58 -07:00
appletalk
Use correct NET_RX_* returns for atalk_rcv()
2009-08-12 20:44:50 -07:00
atm
net: mark read-only arrays as const
2009-08-05 10:42:58 -07:00
ax25
bluetooth
Merge branch 'master' of master.kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6
2009-08-12 17:44:53 -07:00
bridge
net/bridge: Add 'hairpin' port forwarding mode
2009-08-13 16:26:11 -07:00
can
can: Fix raw_getname() leak
2009-08-09 21:45:32 -07:00
core
net: skb ftracer - add tracepoint to skb_copy_datagram_iovec (v3)
2009-08-13 16:26:14 -07:00
dcb
dccp
Merge branch 'master' of master.kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6
2009-08-12 17:44:53 -07:00
decnet
dsa
econet
Merge branch 'master' of master.kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6
2009-08-12 17:44:53 -07:00
ethernet
ieee802154
nl802154: support START-CONFIRM primitive
2009-08-12 21:54:51 -07:00
ipv4
net: mark read-only arrays as const
2009-08-05 10:42:58 -07:00
ipv6
inet6: Set default traffic class
2009-08-13 16:43:32 -07:00
ipx
headers: smp_lock.h redux
2009-07-12 12:22:34 -07:00
irda
Merge branch 'master' of master.kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6
2009-08-12 17:44:53 -07:00
iucv
key
lapb
llc
net: mark read-only arrays as const
2009-08-05 10:42:58 -07:00
mac80211
mac80211: FIF_PSPOLL filter flag
2009-08-04 16:44:35 -04:00
netfilter
net: mark read-only arrays as const
2009-08-05 10:42:58 -07:00
netlabel
Merge branch 'master' of master.kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6
2009-07-30 19:22:43 -07:00
netlink
net/compat/wext: send different messages to compat tasks
2009-07-15 08:53:39 -07:00
netrom
Merge branch 'master' of master.kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6
2009-08-12 17:44:53 -07:00
packet
af_packet: style cleanups
2009-07-23 18:01:10 -07:00
phonet
Phonet: fix /proc/net/phonet with network namespaces
2009-08-12 22:13:19 -07:00
rds
net/rds: Use AF_INET for sin_family field
2009-08-05 20:30:13 -07:00
rfkill
rfkill: add the GPS radio type
2009-08-04 16:44:23 -04:00
rose
Merge branch 'master' of master.kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6
2009-08-12 17:44:53 -07:00
rxrpc
net: mark read-only arrays as const
2009-08-05 10:42:58 -07:00
sched
net: Avoid enqueuing skb for default qdiscs
2009-08-06 20:10:18 -07:00
sctp
Merge branch 'master' of master.kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6
2009-08-12 17:44:53 -07:00
sunrpc
headers: smp_lock.h redux
2009-07-12 12:22:34 -07:00
tipc
genetlink: make netns aware
2009-07-12 14:03:27 -07:00
unix
wanrouter
headers: smp_lock.h redux
2009-07-12 12:22:34 -07:00
wimax
wireless
Merge branch 'master' of master.kernel.org:/pub/scm/linux/kernel/git/davem/net-2.6
2009-08-12 17:44:53 -07:00
x25
headers: smp_lock.h redux
2009-07-12 12:22:34 -07:00
xfrm
Fix xfrm hash collisions by changing __xfrm4_daddr_saddr_hash to hash addresses with addition
2009-08-09 21:45:31 -07:00
compat.c
net/compat/wext: send different messages to compat tasks
2009-07-15 08:53:39 -07:00
Kconfig
net/compat/wext: send different messages to compat tasks
2009-07-15 08:53:39 -07:00
Makefile
net: remove redundant sched/ in net/Makefile
2009-07-12 20:11:14 -07:00
nonet.c
socket.c
sysctl_net.c
TUNABLE